polybori::variable_name< ManagerType, IdxType, VarNameType > Class Template Reference

Defines generic access to variable names. More...

`#include <pbori_func.h>`

## Public Types

typedef ManagerType | manager_type
typedef IdxType | idx_type
typedef VarNameType | varname_type

## Public Member Functions

| variable_name (const manager_type &mgr)
| Constructor. More...
varname_type | operator() (idx_type idx) const
| Funtional operator. More...

## Protected Attributes

const manager_type & | m_mgr
| Store reference to manager. More...

## Detailed Description

### template<class ManagerType, class IdxType = typename ManagerType::idx_type, class VarNameType = typename ManagerType::const_varname_reference>
class polybori::variable_name< ManagerType, IdxType, VarNameType >

Defines generic access to variable names.

## Member Typedef Documentation

template<class ManagerType , class IdxType = typename ManagerType::idx_type, class VarNameType = typename ManagerType::const_varname_reference>

typedef IdxType polybori::variable_name< ManagerType, IdxType, VarNameType >::idx_type

template<class ManagerType , class IdxType = typename ManagerType::idx_type, class VarNameType = typename ManagerType::const_varname_reference>

typedef ManagerType polybori::variable_name< ManagerType, IdxType, VarNameType >::manager_type

template<class ManagerType , class IdxType = typename ManagerType::idx_type, class VarNameType = typename ManagerType::const_varname_reference>

typedef VarNameType polybori::variable_name< ManagerType, IdxType, VarNameType >::varname_type

## Constructor & Destructor Documentation

template<class ManagerType , class IdxType = typename ManagerType::idx_type, class VarNameType = typename ManagerType::const_varname_reference>

polybori::variable_name< ManagerType, IdxType, VarNameType >::variable_name | ( | const manager_type & | mgr) |  |

inline

Constructor.

## Member Function Documentation

template<class ManagerType , class IdxType = typename ManagerType::idx_type, class VarNameType = typename ManagerType::const_varname_reference>

varname_type polybori::variable_name< ManagerType, IdxType, VarNameType >::operator() | ( | idx_type | idx) |  | const

inline

Funtional operator.

## Member Data Documentation

template<class ManagerType , class IdxType = typename ManagerType::idx_type, class VarNameType = typename ManagerType::const_varname_reference>

const manager_type& polybori::variable_name< ManagerType, IdxType, VarNameType >::m_mgr

protected

Store reference to manager.

The documentation for this class was generated from the following file:

- pbori_func.h